package com.example.course.kafka;

import com.example.course.dto.KafkaDto;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Service;

@Service
public class KafkaConsumerService {

    @KafkaListener(topics = "zxcv")
    public void listen(String message, Acknowledgment acknowledgment){
        System.err.println("接收消息" + message);
        acknowledgment.acknowledge();
    }
}
