package com.example.course.test;

import cn.hutool.core.util.IdUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONUtil;
import com.example.course.utils.EraHelper;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

public class VerifyTest {
    public static void Verify(){
        Long appId = 147896325L;
        String appSecret = "123";
        String reqId = IdUtil.getSnowflake().nextIdStr();
        Long timeStamp = System.currentTimeMillis();
        //ASCII码排序
        TreeMap<String,String> treeMap = new TreeMap<>();
        treeMap.put("appId",appId.toString());
        treeMap.put("reqId",reqId);
        treeMap.put("reqTime",timeStamp.toString());
        //key=value&key=value最后加一个appSecret
        StringBuffer buffer = new StringBuffer();
        boolean flag = true;
        for (Map.Entry<String, String> entry : treeMap.entrySet()) {
            if (flag){
                buffer.append(entry.getKey()).append("=").append(entry.getValue());
                flag = false;
            }else{
                buffer.append("&").append(entry.getKey()).append("=").append(entry.getValue());
            }
        }
        buffer.append(appSecret);


        try {
            String sign = EraHelper.byte2HexStr(MessageDigest.getInstance("MD5").digest(buffer.toString().getBytes("UTF-8")));

            HashMap<String,String> map = new HashMap<>();
//            map.put("goodsId","1");
            map.put("sign",sign);

            HashMap<String,String> header = new HashMap<>();
            header.put("Content-Type","application/json");
            header.put("reqId",reqId);
            header.put("appId",appId.toString());
            header.put("reqTime",timeStamp.toString());

            HttpRequest request = HttpUtil.createPost("http://localhost:8080/goods/verify");
            request.addHeaders(header);
            request.body(JSONUtil.toJsonStr(map));
            String result = request.execute().body();
            System.err.println(result);

        } catch (NoSuchAlgorithmException e) {

        } catch (UnsupportedEncodingException e) {

        }
    }

    public static void main(String[] args) {
        VerifyTest.Verify();
    }
}
